Subject: bug#33885: 27.0.50; PUA character makes emacs crash

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Dec 2018 21:15:19 +0200

> Date: Fri, 28 Dec 2018 18:03:11 +0100 (CET)
> Cc: [email-masked]
> From: Werner LEMBERG <[email-masked]>
> 
> >> (2) Improve the heuristics to get sensible global ascent and
> >>     descent values of a font.  In particular, use the FreeType
> >>     library to access a TrueType's or OpenType's `OS/2' table and
> >>     compare its vertical metrics values with the `hhea' data to
> >>     eliminate bugs in the font – sign problems with `descent' do
> >>     happen especially in older fonts that were either designed for
> >>     Apple or for Windows, and the fields for the `other' OS were
> >>     filled out arbitrarily, more or less.
> > 
> > I'd appreciate more details on how this could be done.  I'm no
> > expert on fonts nor on FreeType, and last I checked we have no one
> > else.
> 
> A possible workflow.

Thanks, I will see what I can do about this.  Or maybe someone else
will beat me to it.